Docker Community Forums

Share and learn in the Docker community.

Error on macOS Big Sur 11.0.1

Good morning

M running macOS Big Sur 11.0.1 on M1 and when I follow the tutorial to install it and I run the app I always get this error one of the sub-processes failed: com.docker.driver.amd64-linux -addr fd:3 -debug (pid: 2182), does anybody found a fix?

thanks on advance

1 Like

I just got the same error on Big Sur 11.0.1 on my brand-new Macbook Pro M1.

Sad … hope it is fixed soon.

Now the latest version of DOCKER for Mac says “INTEL processor required”.

"Incompatible CPU detected.

This version of Docker Desktop requires an Intel Processor"

To learn more about this issue see:

https://docs.docker.com/go/apple-silicon

Surely the Docker folks had early access to Apple M1s ?

This puts a HUGE hole in my development activities on my spankin’ new M1 (sigh).

Surely this will get resolved quickly by the Docker folks?

2 Likes

Hi Cyberchuck,

Any luck solving this issue, I am encountering same here with the new Mac m1 chip, macOS Big Sur. Thanks

David

Nothing yet. It is not super critical for me (yet) as I have other platforms I can use to build Docker apps. But I would like to be able to at least RUN some docker apps in my new machine (MBpro M1).

I note that Docker has posted a “pre-beta” release for M1s; I am sure they will crank out a full-blown Docker desktop app really soon as I think Parallels VM already has an M1 version and VMWARE Fusion isn’t far behind.

Charlie

Hi CyberChuck,

Thanks for the reply. Actually, I downloaded the preview release of docker for M1 Chips they have on their website. Tried it on the new apple M1, and it worked for my app. Thanks

David